Subject: Re: bug#20802: Segfault when showing non-GTK+ tooltip

From: Stefan Monnier <[email-masked]>
Date: Wed, 17 Jun 2015 14:56:58 -0400

> Why can't we simply move the code that frees the image cache to
> delete_terminal?  There's only one image cache for each terminal, and
> it's shared by all frames on that terminal, right?  And we call
> delete-terminal when we delete the last frame on the terminal, right?

Indeed.  I think this is just a left over from when the image_cache was
located inside the "struct frame", and I simply failed to update this
part when I moved the cache to the "struct terminal".
Of course, that was many years ago, so maybe I did look into it and
discovered it wasn't that simple, but if so, I have no recollection of that.

        Stefan